/* 動かすためのギミックは全部ここ */


/* topページロード中のアニメーション */

/* Loading背景画面設定　*/
#splash {
    /*fixedで全面に固定*/
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 99999;
    background: #F6F1E9;
    text-align: center;
    color: #fff;
}

/* Loading画像中央配置　*/
#splash_logo {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* Loading アイコンの大きさ設定　*/
#splash_logo img.fadeUp {
    width: 50px;
    display: block;
    position: absolute;
    top: -130%;
    left: 40%;
    transform: translate(50%, 50%);
}

#splash_logo img.curry {
    width: 150px;
}

/* fadeUpをするアイコンの動き */
.fadeUp {
    animation-name: fadeUpAnime;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes fadeUpAnime {
    from {
        opacity: 0;
        transform: translateY(100px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}




/* menuページのアコーディオンパネル */


/*アコーディオン全体*/
.accordion-area {
    list-style: none;
    width: 96%;
    max-width: 900px;
    margin: 80px auto;
    padding: 0;
}

.accordion-area li {
    margin: 10px 0;
}

.accordion-area section {
    border: none;
}

/*アコーディオンタイトル*/
.title {
    position: relative;
    /*+マークの位置基準とするためrelative指定*/
    cursor: pointer;
    font-size: 1rem;
    font-weight: normal;
    padding: 3% 3% 3% 50px;
    transition: all .5s ease;
}

/*アイコンの＋と×*/
.title::before,
.title::after {
    position: absolute;
    content: '';
    width: 15px;
    height: 2px;
    background-color: #F6F1E9;

}

.title::before {
    top: 48%;
    left: 15px;
    transform: rotate(0deg);

}

.title::after {
    top: 48%;
    left: 15px;
    transform: rotate(90deg);

}

/*　closeというクラスがついたら形状変化　*/
.title.close::before {
    transform: rotate(45deg);
}

.title.close::after {
    transform: rotate(-45deg);
}

/*アコーディオンで現れるエリア*/
.box {
    display: none;
    /*はじめは非表示*/
    background: #fcf9f5;
    margin: 0;
    padding: 3%;
}



/* テキストナビゲーション -中心から外に線が伸びる（下部）- */
/*==================================================
　5-3-1 中心から外に線が伸びる（下部）
===================================*/

.gnavi li a,
.about_link a,
.menu_link a,
footer a {
    /*線の基点とするためrelativeを指定*/
    position: relative;
}

.gnavi li.current a,
.gnavi li a:hover,
.about_link a:hover,
.menu_link a:hover,
footer a:hover {
    color: #81B214;
}

.gnavi li a::after,
.about_link a::after,
.menu_link a::after,
footer a::after {
    content: '';
    /*絶対配置で線の位置を決める*/
    position: absolute;
    bottom: 0;
    left: 10%;
    /*線の形状*/
    width: 80%;
    height: 2px;
    background: #81B214;
    /*アニメーションの指定*/
    transition: all .3s;
    transform: scale(0, 1);
    /*X方向0、Y方向1*/
    transform-origin: center top;
    /*上部中央基点*/
}

/*現在地とhoverの設定*/
.gnavi li.current a::after,
.gnavi li a:hover::after,
.about_link a:hover::after,
.menu_link a:hover::after,
footer a:hover::after {
    transform: scale(1, 1);
    /*X方向にスケール拡大*/
}



/* ふわっと表示 */

.fadeUpTrigger {
    opacity: 0;
}


/* ページトップリンク -スクロール途中からリンクボタンの形状が変化- */

/*スクロールリンクの形状*/
.scroll-top {
    /*表示位置*/
    position: fixed;
    right: 20px;
    bottom: 10px;
    z-index: 999;
    /*はじめは非表示*/
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s, visibility .5s;
    /*それぞれに0.5秒の変化のアニメーション*/
    /*縦書き*/
    -webkit-writing-mode: vertical-rl;
    -ms-writing-mode: tb-rl;
    writing-mode: vertical-rl;
    /*改行禁止*/
    white-space: nowrap;
    /*矢印の動き*/
    animation: arrowmove 1s ease-in-out infinite;
}

@keyframes arrowmove {
    0% {
        bottom: 20px;
    }

    50% {
        bottom: 25px;
    }

    100% {
        bottom: 20px;
    }
}


/*.scroll-viewクラスがついたら出現*/
.scroll-top.scroll-view {
    opacity: 1;
    visibility: visible;
}

/*リンク全体の aタグの形状*/
.scroll-top a {
    text-decoration: none;
    color: #666;
    text-transform: uppercase;
    font-size: 0.9rem;
    display: block;
}

/*スクロールリンクの形状*/

.js-scroll a::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 1px;
    height: 50px;
    background: #666;
}

.js-scroll a::before {
    content: "";
    position: absolute;
    top: 30px;
    right: -6px;
    width: 1px;
    height: 20px;
    background: #666;
    transform: skewX(-31deg);
}

/*Edge IE11 hack*/
_:-ms-lang(x),
.js-scroll a::before {
    right: -11px;
}

/*ページトップリンクの形状*/

.js-pagetop a::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 1px;
    height: 50px;
    background: #666;
}

.js-pagetop a::before {
    content: "";
    position: absolute;
    top: 0;
    right: -6px;
    width: 1px;
    height: 20px;
    background: #666;
    transform: skewX(31deg);
}

/*Edge IE11 hack*/
_:-ms-lang(x),
.js-pagetop a::before {
    right: 0;
}

/*検証のためのCSS*/
/* section {
    padding: 500px 0;
} */



/* スライドショー -ゆっくりズームアウトさせながら全画面で見せる- */

#slider {
    width: 100%;
    height: 100vh;
    /*スライダー全体の縦幅を画面の高さいっぱい（100vh）にする*/
}




/*========= ナビゲーションのためのCSS ===============*/
.openbtn,
#g-nav {
    display: none;
}


@media screen and (max-width:767px) {

    .gnavi {
        display: none;
    }

    .openbtn,
    #g-nav {
        display: block;
    }

    #g-nav-list ul {
        display: block;
    }


    #g-nav {
        /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
        position: fixed;
        z-index: 9999999;
        /*ナビのスタート位置と形状*/
        top: 0;
        right: -120%;
        width: 100%;
        height: 100vh;
        /*ナビの高さ*/
        background: #4F200D;
        /*動き*/
        transition: all 0.6s;
    }

    /*アクティブクラスがついたら位置を0に*/
    #g-nav.panelactive {
        right: 0;
    }

    /*ナビゲーションの縦スクロール*/
    #g-nav.panelactive #g-nav-list {
        /*ナビの数が増えた場合縦スクロール*/
        position: fixed;
        z-index: 9999999;
        width: 100%;
        height: 100vh;
        /*表示する高さ*/
        overflow: auto;
        -webkit-overflow-scrolling: touch;
    }

    /*ナビゲーション*/
    #g-nav ul {
        /*ナビゲーション天地中央揃え*/
        position: absolute;
        z-index: 9999999;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    #g-nav-list .sns {
        display: flex;
        position: absolute;
        z-index: 9999999;
        top: 90%;
        left: 50%;
        transform: translate(-50%, -90%);
    }

    #g-nav-list .sns p {
        margin-left: 40px;
    }

    #g-nav-list .sns p:last-child {
        margin-right: 0;
    }

    /*リストのレイアウト設定*/

    #g-nav li {
        list-style: none;
        text-align: center;
    }

    #g-nav li a {
        color: #F6F1E9;
        text-decoration: none;
        padding: 10px;
        display: block;
        text-transform: uppercase;
        letter-spacing: 0.1em;
        font-weight: bold;
    }

    /*========= ボタンのためのCSS ===============*/
    .openbtn {
        position: fixed;
        z-index: 99999999;
        /*ボタンを最前面に*/
        top: 10px;
        right: 10px;
        cursor: pointer;
        width: 50px;
        height: 50px;
    }

    /*×に変化*/
    .openbtn span {
        display: inline-block;
        transition: all .4s;
        position: absolute;
        left: 14px;
        height: 3px;
        border-radius: 2px;
        background-color: #000;
        width: 45%;
    }

    .openbtn span:nth-of-type(1) {
        top: 15px;
    }

    .openbtn span:nth-of-type(2) {
        top: 23px;
    }

    .openbtn span:nth-of-type(3) {
        top: 31px;
    }

    .openbtn.active span:nth-of-type(1) {
        top: 18px;
        left: 18px;
        transform: translateY(6px) rotate(-45deg);
        width: 30%;
    }

    .openbtn.active span:nth-of-type(2) {
        opacity: 0;
    }

    .openbtn.active span:nth-of-type(3) {
        top: 30px;
        left: 18px;
        transform: translateY(-6px) rotate(45deg);
        width: 30%;
    }
}